Create a workspace
curl --request POST \
--url https://api.staging.payrails.io/merchant/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"name": "Default Workspace"
}
'import requests
url = "https://api.staging.payrails.io/merchant/workspaces"
payload = { "name": "Default Workspace" }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Default Workspace'})
};
fetch('https://api.staging.payrails.io/merchant/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": {
"id": "b8fe6271-5d71-4d28-b8e8-89e64acc0c49",
"name": "Default Workspace",
"createdAt": "2022-02-03T14:38:40.557Z",
"updatedAt": "2022-02-03T14:38:40.557Z",
"createdBy": "john.doe@payrails.com"
},
"copyRequestFailures": [
{
"existingWorkspaceID": "7f9f1882-a103-408d-ac96-46a7021e537a",
"failureMessage": "Failed to copy rulessets from existing workspaces."
},
{
"existingWorkspaceID": "7f9f1882-a103-408d-ac96-46a7021e537a",
"failureMessage": "Failed to copy users from existing workspaces."
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}Create a workspace
Create a new workspace.
POST
https://api.staging.payrails.io
/
merchant
/
workspaces
Create a workspace
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Headers
Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.
Body
application/json
Unique name of the Workspace.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Workspace.
Unique name of the Workspace configuration.
Date of creation of the workspace configuration.
Date of last update of the workspace configuration.
Email address of the user that created the workspace.
Email address of the user that updated the workspace.
Last modified on October 7, 2026